Bug 117426 - CRASH: Print Preview crashes on signed document without infobar
Summary: CRASH: Print Preview crashes on signed document without infobar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.0.7 target:6.1.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Print-Preview
  Show dependency treegraph
 
Reported: 2018-05-04 11:05 UTC by Xisco Faulí
Modified: 2018-08-27 15:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["vcl::Window::ImplGetFirstOverlapWindow()"]


Attachments
sample document (11.00 KB, application/vnd.oasis.opendocument.text)
2018-05-04 11:05 UTC, Xisco Faulí
Details
bt with debug symbols (14.20 KB, text/plain)
2018-05-04 21:07 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-05-04 11:05:50 UTC
Created attachment 141889 [details]
sample document

This is a follow-up of bug 117039

Steps to reproduce:
1. Open attached document
2. Close the infobar by clicking on the X
3. Go to print preview
CRASH

Reproduced in

Version: 6.1.0.0.alpha1+
Build ID: 213f12be2cab2106dde4a0e859faaa8259627c1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-05-04 11:07:14 UTC
Regression introduced by:

author	Katarina Behrens <Katarina.Behrens@cib.de>	2017-05-29 15:53:19 +0200
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-05-30 15:38:29 +0200
commit	e744e9f4492d3013742fcdb6254cd76528870e9d (patch)
tree	f5ce5d33ae50ea208bb9c396e13e25005f07ec8e
parent	3dda91dda8764adb3f6cc229236281bb270bba92 (diff)
tdf#105566: Add/remove infobar when the signature status changes
this time without stack overflow. Updating existing infobar needs
some work still

This patch is partially based on work of samuel_m

Bisected with: bibisect-linux64-6.0

Adding Cc: to Katarina Behrens
Comment 2 Julien Nabet 2018-05-04 21:07:54 UTC
Created attachment 141896 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached bt with symbols + console logs + part of gdb session.
Comment 3 Katarina Behrens (CIB) 2018-05-07 13:21:53 UTC
Band-aid fixed in 5.4.7: https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-5-4-7&id=caf1019dd2b575e6dcfe46d05af5e444393d05ab

For anything else, I need to find a better solution if/when to show the infobar, 'cause now when you decide to hide the infobar and then go to print preview and back, poof! infobar reappears.

Which is certainly less annoying than crash and/or data loss, but still annoying to large extent.
Comment 4 Xisco Faulí 2018-07-11 10:57:18 UTC
In

I get a different crash report: http://crashreport.libreoffice.org/stats/crash_details/73f51fdf-7cca-41bb-8abe-4a8f5c139e2b
Comment 5 Xisco Faulí 2018-07-11 10:57:52 UTC
(In reply to Xisco Faulí from comment #4)
> In
> 
> I get a different crash report:
> http://crashreport.libreoffice.org/stats/crash_details/73f51fdf-7cca-41bb-
> 8abe-4a8f5c139e2b

Versión: 6.1.0.1
Id. de compilación: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: ca-ES (es_ES); Calc: group threaded
Comment 6 Caolán McNamara 2018-08-23 14:58:44 UTC
made it not crash with https://gerrit.libreoffice.org/#/c/59512/
Comment 7 Commit Notification 2018-08-23 16:41:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4f7fc2a892f50873a1f7ded156c55c797adff34

tdf#117426 don't crash is infobar is disposed in preview view

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2018-08-23 16:43:16 UTC
backport to 6-1 and 6-0 in gerrit. What I saw matches Xisco's crash report, so calling this fixed
Comment 9 Commit Notification 2018-08-24 07:41:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2169b1f16356dbebc662b6f60fd176ca2d6c4e52&h=libreoffice-6-0

tdf#117426 don't crash is infobar is disposed in preview view

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-08-24 07:41:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18cbd5c4b408ecd96cf67590f661a4f16d8f3f21&h=libreoffice-6-1

tdf#117426 don't crash is infobar is disposed in preview view

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2018-08-27 15:02:48 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 63f8c506637c910ed1efa572f23ff1af7715e7e3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for fixing this!!